package com.cool.store.enums;

/**
 * @Author: young.yu
 * @Date: 2023-09-14  14:27
 * @Description:
 */
public enum SMSMsgEnum {

    PAY_FRANCHISE_FEES("缴纳加盟费/保证金", "", "SMS_498895215"),
    SIGN_CONTRACT("合同签署", "", "SMS_498840165"),
    DESIGN_STAGE("设计阶段", "", "SMS_498750214"),
    CONSTRUCTION_STAGE("施工阶段", "", "SMS_498870170"),
    PLATFORM_BUILD_STORE("平台建店", "", "SMS_498730163"),
    DEVICE_NOTICE("设备发货通知", "${partnerName}-门店${shopName}可安排设备发货，期望发货日期为${shippingDate}，请核对订单后安排发货，详情明细请登录CRM酷店掌-CRM首页-开店管理查看。", "SMS_504735256"),


    ;

    private String title;
    private String content;
    private String templateCode;

    SMSMsgEnum(String title, String content, String templateCode) {
        this.title = title;
        this.content = content;
        this.templateCode = templateCode;
    }

    public String getTitle() {
        return title;
    }

    public String getContent() {
        return content;
    }

    public String getTemplateCode() {
        return templateCode;
    }
}
